SoDecomposeRotation(3)

NAME
SoDecomposeRotation - The SoDecomposeRotation class is used to decompose a rotation into angle and axis.

SYNOPSIS

#include <Inventor/engines/SoDecomposeRotation.h>

Inherits SoEngine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass ()

  Public Attributes
SoMFRotation rotation
SoEngineOutput axis
SoEngineOutput angle

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoDecomposeRotation class is used to decompose a rotation into angle and axis.

Member Function Documentation

  SoType SoDecomposeRotation::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoDecomposeRotation::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoDecomposeRotation::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoDecomposeRotation::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoDecomposeRotation::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoDecomposeRotation::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoDecomposeRotation::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

Member Data Documentation

  SoMFRotation SoDecomposeRotation::rotation
Input rotations to decompose into axis + angle values.

  SoEngineOutput SoDecomposeRotation::axis
(SoMFVec3f) The axis settings of the input rotations.

  SoEngineOutput SoDecomposeRotation::angle
(SoMFFloat) The angle values of the input rotations.

Author

Generated automatically by Doxygen for Coin from the source code.